import {extend,omit,merge} from "lodash";

import createStyleSheet from "./create-stylesheet";
import getStyles from "./get-styles";


export default function createBootstrapStyleSheet(components,themeProps = {},{preserveClassNames,namespace,opts} = {}) {

  const rules = {};

  const styleList = getStyles(components,themeProps);

  styleList.forEach((styles)=>{
    const className = styles.className;
    const isRoot = className === "root";
    styles = omit(styles,"className");

    if (namespace) {
      if (isRoot) {
        merge(rules,{[namespace]: styles});
        return;
      }
      merge(rules,{[className]: {}});
      merge(rules,{[namespace]: {[`& $${className}`]: styles}});
      return;
    }

    merge(rules,{[className]: styles});
    if (!isRoot) {
      if (!rules.root) {
        rules.root = {};
      }
      merge(rules,{root: {[`& $${className}`]: styles}});
    }




  });

  return createStyleSheet(rules,extend({preserveClassNames},opts));
}
