import {each,get} from "lodash";
import {fuse} from "./utils";

export default function getProps(themeProps,modules) {
  if (!modules) {
    modules = themeProps;
    themeProps = {};
  }
  const props = {};
  const getPropsForTheme = getProps.bind(null,themeProps);
  each(modules,(module,moduleName)=>{
    const moduleThemeProps = get(themeProps,moduleName,{});
    const moduleDefaults = get(module,"defaults",{});
    let moduleProps = fuse(moduleDefaults,moduleThemeProps);
    if (module.normalize) {
      moduleProps = module.normalize(moduleProps,{getProps: getPropsForTheme});
    }
    props[`${moduleName}Props`] = moduleProps;
  });

  return props;
}
