import {get} from "lodash";
import {createBootstrapStyleSheet} from "../../index";
import {textUtils} from "./text";
import {validProps,validateCSS} from "../../lib/test-utils";


describe("textUtils",()=>{

  const sheet = createBootstrapStyleSheet([textUtils],{},{preserveClassNames: true});
  const css = sheet.toString();

  it("should return a valid style object",()=>{
    expect(validProps(sheet.rules.raw)).toBe(true);
  });
  it("should return valid css",()=>{
    return validateCSS(css).then((valid)=>{
      expect(valid).toBe(true);
    });
  });
  it("should match css snapshot",()=>{
    expect(sheet.toString()).toMatchSnapshot();
  });

  it("should have a text-primary class",()=>{
    expect(get(sheet,"classes.text-primary")).toBe("text-primary");
  });

});
