import {getProps} from "./index";
import {button,font,options} from "./variables";
import {validProps} from "./lib/test-utils";

describe("variables",()=>{

  describe("font",()=>{
    const defaultFontProps = getProps({font});

    it("should return some properties",()=>{
      expect(defaultFontProps).toHaveProperty("fontProps");
    });
    it("should return valid properties",()=>{
      expect(validProps(defaultFontProps)).toBe(true);
    });
  });

  describe("button",()=>{
    const defaultButtonProps = getProps({button});
    it("should return some properties",()=>{
      expect(defaultButtonProps).toHaveProperty("buttonProps");
    });
    it("should return valid properties",()=>{
      expect(validProps(defaultButtonProps)).toBe(true);
    });
  });

  describe("options",()=>{
    const defaultOptionsProps = getProps({options});
    it("should return some properties",()=>{
      expect(defaultOptionsProps).toHaveProperty("optionsProps");
    });
    it("should return valid properties",()=>{
      expect(validProps(defaultOptionsProps)).toBe(true);
    });
    it("should contain default themeColors",()=>{
      expect(defaultOptionsProps.optionsProps.themeColors.length).toBe(8);
    });

    describe("themedOptions",()=>{
      const themedOptionsProps = getProps({options: {
        themeColors: ["primary"],
      }},{options});
      it("should have only 1 themeColor",()=>{
        expect(themedOptionsProps.optionsProps.themeColors.length).toBe(1);
      });
    });
  });
});
